package com.armundia.app.utilities;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.armundia.arm_am.entity.ApOpzioni;
import com.armundia.arm_am.entity.ApOpzioniId;
import com.armundia.arm_am.services.Dominio;

public class UtilitiesPojo implements Serializable {

	private static final long serialVersionUID = 1L;

	//Liste in ingresso dalla rest
	private List<ApOpzioniId> codiciOpzioni;
	private List<String> codiciDomini;
	private List<String> codiciApLang;

	//Mappature dei risultati ottenuti da AppUtilitiesManager
	private Map<String, ApOpzioni> opzioni;
	private Map<String, Dominio> domini;
	private Map<String, String> apLang;

	private String codLang;

	public List<ApOpzioniId> getCodiciOpzioni() {
		return codiciOpzioni;
	}

	public void setCodiciOpzioni(List<ApOpzioniId> codiciOpzioni) {
		this.codiciOpzioni = codiciOpzioni;
	}

	public List<String> getCodiciDomini() {
		return codiciDomini;
	}

	public void setCodiciDomini(List<String> codiciDomini) {
		this.codiciDomini = codiciDomini;
	}

	public List<String> getCodiciApLang() {
		return codiciApLang;
	}

	public void setCodiciApLang(List<String> codiciApLang) {
		this.codiciApLang = codiciApLang;
	}

	public Map<String, ApOpzioni> getOpzioni() {
		return opzioni;
	}

	public void setOpzioni(Map<String, ApOpzioni> opzioni) {
		this.opzioni = opzioni;
	}

	public Map<String, Dominio> getDomini() {
		return domini;
	}

	public void setDomini(Map<String, Dominio> domini) {
		this.domini = domini;
	}

	public Map<String, String> getApLang() {
		return apLang;
	}

	public void setApLang(Map<String, String> apLang) {
		this.apLang = apLang;
	}

	public String getCodLang() {
		return codLang;
	}

	public void setCodLang(String codLang) {
		this.codLang = codLang;
	}
}
